zookeeper-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Norbert Kalmar <nkal...@cloudera.com.INVALID>
Subject Re: Unable to stop zookeeper-server service
Date Tue, 14 Aug 2018 10:09:47 GMT
Hi,

There should be no problem upgrading between minor versions. But there is
no release of 3.6 yet, so I think you meant 3.4.x ?
Also, what is the error you mentioned?

There are some new configuration introduced with Quorum peer mutual
authentication, for more info, see:
https://cwiki.apache.org/confluence/display/ZOOKEEPER/Server-Server+mutual+authentication

Mainly look out for:
quorum.auth.enableSasl
quorum.auth.learnerRequireSasl
quorum.auth.serverRequireSasl
quorum.auth.kerberos.servicePrincipal

Regards,
Norbert

On Mon, Aug 13, 2018 at 7:48 PM Suraj Bora <surajbora007@gmail.com> wrote:

> Hi Team,
>
> I am trying to upgrade zookeeper-server from 3.6.4 to 3.6.10., but getting
> below error during stop zookeeper-server stage.
>
>
> Step followed:
>
> 1. Upgraded zookeeper to 3.6.10
>
> 2. systemctl daemon-reload
>
> 3. restart zookeeper-server
>
> [root@localhost]# /usr/bin/systemctl stop zookeeper-server
>
> Job for zookeeper-server.service canceled. [root@localhost]#
>
> Also please let me know configuration required to support Missing
> Authentication Remote Quorum Joining functionality.
>
> Thanks in advance.
>
> Regards,
>
> Suraj Bora
>
> --
>
> Thanks and Regards,
> Suraj Bora
> M. No.: 7745082011
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message